org.eclnt.jsfserver.elements.macros

## Class XMLMacro

- java.lang.Object
- - org.eclnt.jsfserver.elements.macros.XMLMacro

- All Implemented Interfaces:
    java.io.Serializable, IMacro

      public class XMLMacro
      extends java.lang.Object
      implements IMacro, java.io.Serializable

  Macro that is completely defined by the XML macro defintion.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `XMLMacro.AttributeInfo`
    `class` | `XMLMacro.MyParser`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLMacro(java.lang.String name, java.lang.String xml)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `checkIfApplicable(java.lang.String tagName)` Check if a macro can be executed for a certain tag.
    `boolean` | `checkIfAttributeIsAffected(java.lang.String attribute)` Check if macro updates a certain attribute's value.
    `void` | `executeMacro(BaseComponentTag tag, java.lang.String[] macroParams)` Macro execution at runtime.
    `java.lang.String[]` | `getMacroParamNames()` Names of Macro parameters.
    `java.lang.String` | `getName()` Name of the macro.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLMacro

          public XMLMacro(java.lang.String name,
                          java.lang.String xml)

  - ### Method Detail

    - #### checkIfApplicable

          public boolean checkIfApplicable(java.lang.String tagName)

      Description copied from interface: `IMacro`
      Check if a macro can be executed for a certain tag. This function is e.g. called in the Layout Editor: the select box of available macros is filled correspondingly.
      Specified by:
        `checkIfApplicable` in interface `IMacro`

    - #### executeMacro

          public void executeMacro(BaseComponentTag tag,
                                   java.lang.String[] macroParams)

      Description copied from interface: `IMacro`
      Macro execution at runtime.
      Specified by:
        `executeMacro` in interface `IMacro`

    - #### checkIfAttributeIsAffected

          public boolean checkIfAttributeIsAffected(java.lang.String attribute)

      Description copied from interface: `IMacro`
      Check if macro updates a certain attribute's value. This function is called e.g. by the Layout Editor: all attributes that are maintained by the macro are marked correspondingly.
      Specified by:
        `checkIfAttributeIsAffected` in interface `IMacro`

    - #### getName

          public java.lang.String getName()

      Description copied from interface: `IMacro`
      Name of the macro.
      Specified by:
        `getName` in interface `IMacro`

    - #### getMacroParamNames

          public java.lang.String[] getMacroParamNames()

      Description copied from interface: `IMacro`
      Names of Macro parameters. Null may be returned in case the macro does not provide for any parameters.
      Specified by:
        `getMacroParamNames` in interface `IMacro`

Copyright © CaptainCasa Gmbh. All Rights Reserved.